Get startedSign in

Create agent session

POST/v1/api/ai/sessions
Body parameters
Responses
ParameterTypeDescription
cluster_idstringID of the cluster to use for this session
connection_idstringID of the cloud connection to use for this session
donebooleanWhether to immediately mark this session as done
plan_confirmedbooleanWhether the provisioning plan is pre-confirmed
promptrequiredstringThe prompt describing the task for the agent to perform
typestringType of agent session (terraform, kubernetes)
Response samples
200
{
  "agent_id": "string",
  "branch": "string",
  "cluster_id": "string",
  "commit_count": 0,
  "connection_id": "string",
  "done": false,
  "id": "string",
  "initialized": false,
  "inserted_at": "string",
  "plan_confirmed": false,
  "prompt": "string",
  "pull_request_id": "string",
  "service_id": "string",
  "stack_id": "string",
  "thread_id": "string",
  "type": "terraform",
  "updated_at": "string"
}